---
# Buttons for dropdown menus with Options

# Example:
# - title: "Text on the button"
#   button_id: "unique_button_id"
#   class: "additional class"
#   menu_id: "unique_menu_id" # <- menu with this id will be toggled
#   options:
#   - title: "Text on the option 1"
#     href: "link of the option 1"
#   - title: "Text on the option 2"
#     href: "link of the option 2"
#
- title: Services
  button_id: button_1
  class: "bg-[#001e50] hover:bg-bg-slate-700"
  menu_id: dropdown_menu_1
  options:
  - title: Chat
    icon: ChatBubble
    href: "#"
  - title: Code
    icon: Code
    href: "#"
  - title: Cloud
    icon: File
    href: "#"
  - title: Calendar
    icon: Calendar
    href: "#"
  - title: Forum
    icon: Person
    href: "#"

- title: Management
  button_id: button_2
  class: "bg-[#001e50] hover:bg-slate-700"
  menu_id: dropdown_menu_2
  options:
  - title: Groups
    href: "#"
  - title: Administration
    href: "#"

- title: Developers
  button_id: button_3
  class: "bg-[#001e50] hover:bg-slate-700"
  menu_id: dropdown_menu_3
  options:
  - title: Traefik
    href: "#"
  - title: Keycloak
    href: "#"

- title: "Profile"
  button_id: button_4
  class: "bg-[#001e50] hover:bg-slate-700"
  image_src: "img/user_logo.png"
  menu_id: dropdown_menu_4
  options:
  - title: John Smith
  - title: name@example.com
  - title: Profile
    href: "#"
  - title: Log out
    href: "#"
